<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Radyo</title>
  <meta name="description" content="Radyo">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <link rel="stylesheet" href="grid/simple-grid.css">
  <style>
  body{
  background-image: url('back.png');
    background-size: cover;

  }
  .row
   {
      position:absolute;
      top:50%;
      left:50%;
      -ms-transform: translateX(-50%) translateY(-50%);
      -webkit-transform: translate(-50%,-50%);
      transform: translate(-50%,-50%);
   }

  .speaker{
    height:128px;
    background-repeat:no-repeat;
  background-position: center center;
  }

  .bg{
      background-image:url(play.png);
  }
  .new-bg{
      background-image:url(pause.png);
  }

  #player{display: none;}
  </style>

  <script type="text/javascript">
  $(document).ready(function() {



      $(".speaker").click(function() {
        if ($(this).hasClass("bg"))
             $(this).addClass('new-bg').removeClass('bg')
        else if ($(this).hasClass("new-bg"))
        $(this).addClass('bg').removeClass('new-bg')
      });


   var getaudio = $('#player')[0];
     /* Get the audio from the player (using the player's ID), the [0] is necessary */
     var mouseovertimer;
     /* Global variable for a timer. When the mouse is hovered over the speaker it will start playing after hovering for 1 second, if less than 1 second it won't play (incase you accidentally hover over the speaker) */
     var audiostatus = 'off';
     /* Global variable for the audio's status (off or on). It's a bit crude but it works for determining the status. */

     $(document).on('mouseenter', '.speaker', function() {
       /* Bonus feature, if the mouse hovers over the speaker image for more than 1 second the audio will start playing */
       if (!mouseovertimer) {
         mouseovertimer = window.setTimeout(function() {
           mouseovertimer = null;
           if (!$('.speaker').hasClass("speakerplay")) {
             getaudio.load();
             /* Loads the audio */
             getaudio.play();
             /* Play the audio (starting at the beginning of the track) */
             $('.speaker').addClass('speakerplay');
             return false;
           }
         }, 1000);
       }
     });

     $(document).on('mouseleave', '.speaker', function() {
       /* If the mouse stops hovering on the image (leaves the image) clear the timer, reset back to 0 */
       if (mouseovertimer) {
         window.clearTimeout(mouseovertimer);
         mouseovertimer = null;
       }
     });

     $(document).on('click touchend', '.speaker', function() {
       /* Touchend is necessary for mobile devices, click alone won't work */
       if (!$('.speaker').hasClass("speakerplay")) {
         if (audiostatus == 'off') {
           $('.speaker').addClass('speakerplay');
           getaudio.load();
           getaudio.play();
           window.clearTimeout(mouseovertimer);
           audiostatus = 'on';
           return false;
         } else if (audiostatus == 'on') {
           $('.speaker').addClass('speakerplay');
           getaudio.play()
         }
       } else if ($('.speaker').hasClass("speakerplay")) {
         getaudio.pause();
         $('.speaker').removeClass('speakerplay');
         window.clearTimeout(mouseovertimer);
         audiostatus = 'on';
       }
     });

     $('#player').on('ended', function() {
       $('.speaker').removeClass('speakerplay');
       /*When the audio has finished playing, remove the class speakerplay*/
       audiostatus = 'off';
       /*Set the status back to off*/
     });
  });
  </script>
</head>
<body>

  <div class="row">

    <div class="col-12 col-12-sm center">

<div class="speaker bg"></div>
<br /><br /><b>Power Türk FM</b>
<audio id="player">
<source src="https://listen.powerapp.com.tr/powerturk/mpeg/icecast.audio?/;stream.mp3" type="audio/mpeg">
</audio>

</div>
</div>

</body>
</html>
